{ pkgs, ... }: {
  home = {
    stateVersion = "23.05";
    homeDirectory = "/Users/tonychyi";

    packages = with pkgs; [
      bat
      ranger
      coreutils
      icdiff
      podman
      coreutils
      gnutar
      gnused
      jdk17
      kubectl
      krew
      kube-capacity
      kubernetes-helm
      arduino-cli
      #obs-studio
      #podman-desktop
    ];

    shellAliases = {
      cao = "fuck";
      nixos-rebuild = "darwin-rebuild";
      top = "htop";
      pip = "pip3";
      cat = "bat -p --paging=never -u";
      diff = "icdiff";
    };

    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.cargo/bin"
      "$GOPATH/bin"
    ];
  };

  programs = {
    home-manager.enable = true;
    timidity.enable = true;
    thefuck.enable = true;

    eza = {
      enable = true;
      enableAliases = true;
      git = true;
      icons = true;
    };

    direnv = {
      enable = true;
      enableZshIntegration = true;
    };

    vim = {
      enable = true;
      defaultEditor = true;
    };

    go = {
      enable = true;
      goPath = ".gopath";
    };

    zsh = {
      enable = true;
      enableSyntaxHighlighting = true;

      oh-my-zsh = {
        enable = true;
        plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "emoji" "pip" "npm" "yarn" "vscode" ];
        theme = "agnoster";
      };
    };
  };
}
